This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 725614 - Review Request: libcryptui - Library for prompting for GPG keys
Review Request: libcryptui - Library for prompting for GPG keys
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 715662
  Show dependency treegraph
 
Reported: 2011-07-25 23:40 EDT by Matthew Barnes
Modified: 2011-08-23 16:22 EDT (History)
3 users (show)

See Also:
Fixed In Version: libcryptui-3.1.4-3.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-23 16:22:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mclasen: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matthew Barnes 2011-07-25 23:40:26 EDT
Spec URL: http://mbarnes.fedorapeople.org/package-review/libcryptui.spec
SRPM URL: http://mbarnes.fedorapeople.org/package-review/libcryptui-3.1.4-1.fc16.src.rpm

Description: libcryptui is a library used for prompting for PGP keys.  It was split off from the seahorse package in version 3.1.4 and needs to be packaged separately.
Comment 1 Matthias Clasen 2011-07-26 13:23:52 EDT
Builds fine in mock

rpmlint output:

$ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/libcryptui-3.1.4-1.fc16.x86_64.rpm
libcryptui.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/seahorse.schemas
libcryptui.x86_64: E: incorrect-fsf-address /usr/share/doc/libcryptui-3.1.4/COPYING-DOCS
libcryptui.x86_64: E: incorrect-fsf-address /usr/share/doc/libcryptui-3.1.4/COPYING
libcryptui.x86_64: E: incorrect-fsf-address /usr/share/doc/libcryptui-3.1.4/COPYING-LIBCRYPTUI
libcryptui.x86_64: W: dangerous-command-in-%pre rm
libcryptui.x86_64: W: dangerous-command-in-%post rm
libcryptui.x86_64: W: one-line-command-in-%postun /sbin/ldconfig
1 packages and 0 specfiles checked; 3 errors, 4 warnings.

$ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/libcryptui-devel-3.1.4-1.fc16.x86_64.rpm 
libcryptui-devel.x86_64: E: incorrect-fsf-address /usr/include/libcryptui/cryptui-key-chooser.h
libcryptui-devel.x86_64: E: incorrect-fsf-address /usr/include/libcryptui/cryptui-key-list.h
libcryptui-devel.x86_64: E: incorrect-fsf-address /usr/include/libcryptui/cryptui-key-combo.h
libcryptui-devel.x86_64: E: incorrect-fsf-address /usr/include/libcryptui/cryptui.h
libcryptui-devel.x86_64: E: incorrect-fsf-address /usr/include/libcryptui/cryptui-keyset.h
libcryptui-devel.x86_64: E: incorrect-fsf-address /usr/include/libcryptui/cryptui-key-store.h
1 packages and 0 specfiles checked; 6 errors, 0 warnings.
Comment 2 Matthias Clasen 2011-07-26 13:42:13 EDT
package name: ok
spec file name: ok
packaging guidelines: ok
  only comment here: %defattr() is no longer necessary, could be dropped
license: ok
license field: ok
license file: we should probably drop the COPYING-DOCS and COPYING files
  which are leftovers from seahorse, and only keep the COPYTING-LIBCRYPTUI one
  which applies to this package.
spec file language: ok
spec file readability: ok
upstream sources: ok
buildable: ok
excludearch: ok
buildrequires: ok
locale handling: ok, just odd to use seahorse as the domain
ldconfig: ok. would be slightly nicer to move the ldconfig call to -p for postun,
  but no biggie
system libs: ok
relocatable: ok
directory ownership: should you take over ownership of %{_datadir}/seahorse and %{_datadir}/seahorse/ui here ?
duplicate files: ok
permissions: ok
macro use: ok
permissible content: ok
large docs: ok
%doc content: ok
headers: ok
static libs: ok
shared libs: ok
devel deps: ok
libtool archives: ok
gui apps: ok
utf8 filenames: ok

summary:
- drop extraneous license files, and ask upstream to clean that up too
- ask upstream to clean up the seahorse leftovers (gettext domain, directories)
- clean up directory ownership of /usr/share/seahorse/ui

Other than that, looks good
Comment 3 Matthias Clasen 2011-07-26 15:58:05 EDT
https://bugzilla.gnome.org/show_bug.cgi?id=655291
Comment 4 Matthew Barnes 2011-07-26 20:54:53 EDT
Spec URL: http://mbarnes.fedorapeople.org/package-review/libcryptui.spec
SRPM URL:
http://mbarnes.fedorapeople.org/package-review/libcryptui-3.1.4-2.fc16.src.rpm

Not sure if I got the directory ownership right, but rpm doesn't complain.  Here's the spec diff:

--- /home/mbarnes/libcryptui.spec	2011-07-26 20:17:40.520049846 -0400
+++ libcryptui.spec	2011-07-26 20:16:19.610683827 -0400
@@ -1,6 +1,6 @@
 Name: libcryptui
 Version: 3.1.4
-Release: 1%{?dist}
+Release: 2%{?dist}
 Summary: Interface components for OpenPGP
 
 Group: System Environment/Libraries
@@ -63,15 +63,13 @@ find ${RPM_BUILD_ROOT} -type f -name "*.
 %preun
 %gconf_schema_remove seahorse
 
-%postun
-/sbin/ldconfig
+%postun -p /sbin/ldconfig
 
 %files -f seahorse.lang
-%defattr(-,root,root,-)
-%doc AUTHORS COPYING COPYING-DOCS COPYING-LIBCRYPTUI NEWS README
+%doc AUTHORS COPYING-LIBCRYPTUI NEWS README
 %{_bindir}/*
 %{_mandir}/man1/*.gz
-%{_datadir}/seahorse/ui/*
+%{_datadir}/seahorse
 %{_libdir}/libcryptui.so.*
 %{_datadir}/dbus-1/services/*
 %{_datadir}/pixmaps/seahorse
@@ -79,7 +77,6 @@ find ${RPM_BUILD_ROOT} -type f -name "*.
 %{_sysconfdir}/gconf/schemas/*
 
 %files devel
-%defattr(-,root,root,-)
 %{_libdir}/libcryptui.so
 %{_libdir}/pkgconfig/*
 %{_includedir}/libcryptui
@@ -87,5 +84,8 @@ find ${RPM_BUILD_ROOT} -type f -name "*.
 %{_datadir}/gir-1.0/*
 
 %changelog
+* Tue Jul 26 2011 Matthew Barnes <mbarnes@redhat.com> - 3.1.4-2
+- Package review changes.
+
 * Mon Jul 25 2011 Matthew Barnes <mbarnes@redhat.com> - 3.1.4-1
 - Initial packaging.
Comment 5 Matthias Clasen 2011-07-27 08:02:25 EDT
I think we probably still need the patch from that bug I pointed to, to avoid file conflicts with seahorse ? Can you double-check that this package does not conflict with seahorse ?
Comment 6 Matthew Barnes 2011-08-16 15:52:38 EDT
My bad for letting this stall.  I never uploaded the third revision with the upstream patch.  Here it is.

Spec URL: http://mbarnes.fedorapeople.org/package-review/libcryptui.spec
SRPM URL:
http://mbarnes.fedorapeople.org/package-review/libcryptui-3.1.4-3.fc16.src.rpm

This installs fine alongside Seahorse for me; no file conflicts.


--- /home/mbarnes/libcryptui.spec       2011-07-27 08:27:55.766523857 -0400
+++ libcryptui.spec     2011-07-27 08:29:34.974031627 -0400
@@ -1,6 +1,6 @@
 Name: libcryptui
 Version: 3.1.4
-Release: 2%{?dist}
+Release: 3%{?dist}
 Summary: Interface components for OpenPGP

 Group: System Environment/Libraries
@@ -8,6 +8,9 @@ License: LGPLv2+
 URL: http://projects.gnome.org/seahorse/
 Source0: http://download.gnome.org/sources/libcryptui/3.1/%{name}-%{version}.tar.xz

+# https://bugzilla.gnome.org/show_bug.cgi?id=655291
+Patch1: libcryptui-3.1.4-avoid-file-conflicts.patch
+
 Requires(pre): GConf2
 Requires(post): GConf2
 Requires(preun): GConf2
@@ -40,6 +43,7 @@ documentation for the libcryptui library

 %prep
 %setup -q
+%patch1 -p1 -b .avoid-file-conflicts

 %build
 %configure
@@ -84,6 +88,9 @@ find ${RPM_BUILD_ROOT} -type f -name "*.
 %{_datadir}/gir-1.0/*

 %changelog
+* Wed Jul 27 2011 Matthew Barnes <mbarnes@redhat.com> - 3.1.4-3
+- Add upstream patch to avoid file conflicts with seahorse.
+
 * Tue Jul 26 2011 Matthew Barnes <mbarnes@redhat.com> - 3.1.4-2
 - Package review changes.
Comment 7 Matthias Clasen 2011-08-18 11:13:33 EDT
Looks good to me now; approved
Comment 8 Matthew Barnes 2011-08-18 11:43:07 EDT
New Package SCM Request
=======================
Package Name: libcryptui
Short Description: Interface components for OpenPGP
Owners: tbzatek
Branches: f16
InitialCC: mbarnes

Tomas already owns seahorse.  He agreed to take libcryptui.
Comment 9 Jon Ciesla 2011-08-18 12:03:20 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2011-08-19 06:45:31 EDT
libcryptui-3.1.4-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libcryptui-3.1.4-3.fc16
Comment 11 Fedora Update System 2011-08-19 11:25:36 EDT
libcryptui-3.1.4-3.fc16 has been pushed to the Fedora 16 testing repository.
Comment 12 Fedora Update System 2011-08-23 16:22:10 EDT
libcryptui-3.1.4-3.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.